Esta página aún no está disponible en español. Estamos trabajando en su traducción.
Si tienes alguna pregunta o comentario sobre nuestro actual proyecto de traducción, no dudes en ponerte en contacto con nosotros.

Bits AI

Use the Bits AI endpoints to retrieve AI-powered investigations.

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

POST https://api.ap1.datadoghq.com/api/v2/bits-ai/investigationshttps://api.ap2.datadoghq.com/api/v2/bits-ai/investigationshttps://api.datadoghq.eu/api/v2/bits-ai/investigationshttps://api.ddog-gov.com/api/v2/bits-ai/investigationshttps://api.datadoghq.com/api/v2/bits-ai/investigationshttps://api.us3.datadoghq.com/api/v2/bits-ai/investigationshttps://api.us5.datadoghq.com/api/v2/bits-ai/investigations

Información general

Trigger a new Bits AI investigation based on a monitor alert. This endpoint requires the bits_investigations_write permission.

OAuth apps require the bits_investigations_write authorization scope to access this endpoint.

Solicitud

Body Data (required)

Trigger investigation request body.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data for the trigger investigation request.

attributes [required]

object

Attributes for the trigger investigation request.

trigger [required]

object

The trigger definition for starting an investigation.

monitor_alert_trigger [required]

object

Attributes for a monitor alert trigger.

event_id [required]

string

The event ID associated with the monitor alert.

event_ts [required]

int64

The timestamp of the event in Unix milliseconds.

monitor_id [required]

int64

The monitor ID that triggered the alert.

type [required]

enum

The type of trigger for the investigation. Allowed enum values: monitor_alert_trigger

type [required]

enum

The resource type for trigger investigation requests. Allowed enum values: trigger_investigation_request

{
  "data": {
    "attributes": {
      "trigger": {
        "monitor_alert_trigger": {
          "event_id": "1234567890123456789",
          "event_ts": 1700000000000,
          "monitor_id": 12345678
        },
        "type": "monitor_alert_trigger"
      }
    },
    "type": "trigger_investigation_request"
  }
}

Respuesta

OK

Response after triggering an investigation.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data for the trigger investigation response.

attributes [required]

object

Attributes for the trigger investigation response.

investigation_id [required]

string

The ID of the investigation that was created.

id [required]

string

Unique identifier for the trigger response.

type [required]

enum

The resource type for trigger investigation responses. Allowed enum values: trigger_investigation_response

{
  "data": {
    "attributes": {
      "investigation_id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
    },
    "id": "f5e6a7b8-c9d0-1e2f-3a4b-5c6d7e8f9a0b",
    "type": "trigger_investigation_response"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  ## default
# 

# Curl command
curl -X POST "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \ -d @- << EOF { "data": { "attributes": { "trigger": { "monitor_alert_trigger": { "event_id": "1234567890123456789", "event_ts": 1700000000000, "monitor_id": 12345678 }, "type": "monitor_alert_trigger" } }, "type": "trigger_investigation_request" } } EOF

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/bits-ai/investigationshttps://api.ap2.datadoghq.com/api/v2/bits-ai/investigationshttps://api.datadoghq.eu/api/v2/bits-ai/investigationshttps://api.ddog-gov.com/api/v2/bits-ai/investigationshttps://api.datadoghq.com/api/v2/bits-ai/investigationshttps://api.us3.datadoghq.com/api/v2/bits-ai/investigationshttps://api.us5.datadoghq.com/api/v2/bits-ai/investigations

Información general

List all Bits AI investigations for the organization. This endpoint requires the bits_investigations_read permission.

OAuth apps require the bits_investigations_read authorization scope to access this endpoint.

Argumentos

Cadenas de consulta

Nombre

Tipo

Descripción

page[offset]

integer

Offset for pagination.

page[limit]

integer

Maximum number of investigations to return.

filter[monitor_id]

integer

Filter investigations by monitor ID.

Respuesta

OK

Response for listing investigations.

Expand All

Campo

Tipo

Descripción

data [required]

[object]

List of investigations.

attributes [required]

object

Attributes of an investigation list item.

status [required]

string

The current status of the investigation.

title [required]

string

The title of the investigation.

id [required]

string

The unique identifier of the investigation.

type [required]

enum

The resource type for investigations. Allowed enum values: investigation

links [required]

object

Pagination links for the list investigations response.

first [required]

string

Link to the first page.

last

string

Link to the last page.

next [required]

string

Link to the next page.

prev

string

Link to the previous page.

self [required]

string

Link to the current page.

meta [required]

object

Metadata for the list investigations response.

page [required]

object

Pagination metadata.

limit [required]

int64

Maximum number of results per page.

offset [required]

int64

Offset of the current page.

total [required]

int64

Total number of investigations.

{
  "data": [
    {
      "attributes": {
        "status": "conclusive",
        "title": "Monitor alert investigation for web-server-01"
      },
      "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
      "type": "investigation"
    }
  ],
  "links": {
    "first": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=0\u0026page[limit]=10",
    "last": "string",
    "next": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=10\u0026page[limit]=10",
    "prev": "string",
    "self": "https://api.datadoghq.com/api/v2/bits-ai/investigations?page[offset]=0\u0026page[limit]=10"
  },
  "meta": {
    "page": {
      "limit": 10,
      "offset": 0,
      "total": 50
    }
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/bits-ai/investigations/{id}https://api.ap2.datadoghq.com/api/v2/bits-ai/investigations/{id}https://api.datadoghq.eu/api/v2/bits-ai/investigations/{id}https://api.ddog-gov.com/api/v2/bits-ai/investigations/{id}https://api.datadoghq.com/api/v2/bits-ai/investigations/{id}https://api.us3.datadoghq.com/api/v2/bits-ai/investigations/{id}https://api.us5.datadoghq.com/api/v2/bits-ai/investigations/{id}

Información general

Get a specific Bits AI investigation by ID. This endpoint requires the bits_investigations_read permission.

OAuth apps require the bits_investigations_read authorization scope to access this endpoint.

Argumentos

Parámetros de ruta

Nombre

Tipo

Descripción

id [required]

string

The ID of the investigation.

Respuesta

OK

Response for a single Bits AI investigation.

Expand All

Campo

Tipo

Descripción

data [required]

object

Data for the get investigation response.

attributes [required]

object

Attributes of the investigation.

conclusions [required]

[object]

The conclusions drawn from the investigation.

description [required]

string

A full explanation of the finding, including root cause analysis and supporting evidence.

summary [required]

string

A summary of the finding, including affected components and timeframe.

title [required]

string

The title of the conclusion.

status [required]

string

The current status of the investigation.

title [required]

string

The title of the investigation.

id [required]

string

The unique identifier of the investigation.

type [required]

enum

The resource type for investigations. Allowed enum values: investigation

links [required]

object

Links related to the investigation.

self [required]

string

The URL to the investigation in the Datadog app.

{
  "data": {
    "attributes": {
      "conclusions": [
        {
          "description": "The investigation found that a memory leak in payments-service caused CPU usage to spike above 95% starting at 14:32 UTC.",
          "summary": "CPU usage exceeded 95% for over 10 minutes on web-server-01.",
          "title": "High CPU usage detected on web-server-01"
        }
      ],
      "status": "conclusive",
      "title": "Monitor alert investigation for web-server-01"
    },
    "id": "a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d",
    "type": "investigation"
  },
  "links": {
    "self": "https://app.datadoghq.com/bits-ai/investigations/a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
  }
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Not Found

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Ejemplo de código

                  # Path parameters
export id="a1b2c3d4-5e6f-7a8b-9c0d-1e2f3a4b5c6d"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/bits-ai/investigations/${id}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"